Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159378 - dhcpd doesn't start
Summary: dhcpd doesn't start
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-02 05:53 UTC by Ronny Buchmann
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-03 08:13:26 UTC


Attachments (Terms of Use)

Description Ronny Buchmann 2005-06-02 05:53:28 UTC
Description of problem:
type=AVC msg=audit(1117304156.005:5871768): avc:  denied  { name_bind } for 
pid=8253 comm="dhcpd" src=67 scontext=root:system_r:dhcpd_t
tcontext=system_u:object_r:reserved_port_t tclass=udp_socket
type=SOCKETCALL msg=audit(1117304156.005:5871768): nargs=3 a0=6 a1=bfe02538 a2=10
type=SOCKADDR msg=audit(1117304156.005:5871768):
saddr=02000043000000000000000000000000
type=SYSCALL msg=audit(1117304156.005:5871768): arch=40000003 syscall=102
success=no exit=-13 a0=2 a1=bfe02510 a2=e6ca04 a3=6 items=0 pid=8253
auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0
comm="dhcpd" exe="/usr/sbin/dhcpd"


Version-Release number of selected component (if applicable):
selinux-policy-targeted-1.23.16-6
dhcp-3.0.2-12

How reproducible:
always in enforcing mode

Comment 1 Daniel Walsh 2005-06-08 12:24:02 UTC
Fixed selinux-policy-targeted-1.23.18-1


Note You need to log in before you can comment on or make changes to this bug.